Subject: bug#59214: [PATCH] Alternate rust-analyzer command added

From: Pankaj Jangid <[email-masked]>
Date: Fri, 18 Nov 2022 10:43:02 +0530

João Távora <[email-masked]> writes:

>> FWIW, I think Rust is too crazy for us to follow its daily changes and
>> offer support for its server OOTB in eglot-server-programs.  Emacs is
>> not equipped to follow such frequent and radical changes.  If we want
>> to make this seamless for users of Rust, we should provide a special
>> command to update eglot-server-programs with whatever it is the latest
>> Rust fashion.  Or maybe we should even leave that to Rust mode.
>>
>
> Yes, indeed, my thoughts exactly, especially this last bit.
>

Agree.

And thank you, Ian, for bringing up the counter thoughts in the
discussion. It was an eye opener for me. I was thinking `rustup' is the
only way to use `rust'.